/* Copyright (c) 1990 Commodore-Amiga, Inc.
 *
 * This example is provided in electronic form by Commodore-Amiga, Inc. for
 * use with the 1.3 revisions of the Addison-Wesley Amiga reference manuals. 
 * The 1.3 Addison-Wesley Amiga Reference Manual series contains additional
 * information on the correct usage of the techniques and operating system
 * functions presented in this example.  The source and executable code of
 * this example may only be distributed in free electronic form, via bulletin
 * board or as part of a fully non-commercial and freely redistributable
 * diskette.  Both the source and executable code (including comments) must
 * be included, without modification, in any copy.  This example may not be
 * published in printed form or distributed with any commercial product.
 * However, the programming techniques and support routines set forth in
 * this example may be used in the development of original executable
 * software products for Commodore Amiga computers.
 * All other rights reserved.
 * This example is provided "as-is" and is subject to change; no warranties
 * are made.  All use is at your own risk.  No liability or responsibility
 * is assumed.
 */

/*
 * This include file has the needed constants for
 * a two plane walking man.
 * four in trunk (head/torso) sequence.
 * eight in each leg sequence. (one leg starts at zero, other at four)
 * eight in each arm sequence. (one arm starts at zero, other at four)
 */
SHORT manTTimes[MANTCOUNT] = { 1, 1, 1, 1 };
SHORT manTYTranses[MANTCOUNT] = { 6<<ANFS, 6<<ANFS, 3<<ANFS, 0<<ANFS };
SHORT manTXTranses[MANTCOUNT] = { 0<<ANFS,11<<ANFS,16<<ANFS,26<<ANFS };

/* APTR manTCRoutines[MANTCOUNT] */
WORD (*manTCRoutines[MANTCOUNT])(struct AnimComp *) =
	{
	NULL, NULL, NULL, NULL
	};

UWORD chip manTImage[MANTCOUNT][MANTWWIDTH * MANTHEIGHT * MANTDEPTH] =
	{
	/*----- bitmap : w = 16, h = 34 ------ */
		{
		/*------ plane # 0: --------*/
		0x0000, 
		0x0000, 
		0x0C00, 
		0x1000, 
		0x0000, 
		0x0000, 
		0x0800, 
		0x0400, 
		0x0000, 
		0x0000, 
		0x0000, 
		0x1C00, 
		0x0E00, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400,
		0x0000, 
		0x0000, 
		0x0000, 
		/*------ plane # 1: --------*/
		0x1800, 
		0x2400, 
		0x4200, 
		0x4600, 
		0x4200, 
		0x8200, 
		0x8200, 
		0x8000, 
		0x8200, 
		0xBE00, 
		0x8000, 
		0x9C00, 
		0x8E00, 
		0x8E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00,
		0x0000, 
		0x0000, 
		0x0000 
		},
	/*----- bitmap : w = 16, h = 28 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000, 
		0x0000, 
		0x0C00, 
		0x1000, 
		0x0000, 
		0x0000, 
		0x0800, 
		0x0400, 
		0x0000, 
		0x0000, 
		0x0000, 
		0x3800, 
		0x3800, 
		0x1000, 
		0x1000, 
		0x1000, 
		0x1000, 
		0x1000, 
		0x1000, 
		0x1000, 
		0x1000, 
		0x1000, 
		0x1000, 
		0x2000, 
		0x2000, 
		0x2000, 
		0x2000, 
		0x2000,
		0x0000, 
		0x0000, 
		0x0000, 
		0x0000, 
		0x0000, 
		0x0000, 
		/*------ plane # 1: --------*/
		0x1800, 
		0x2400, 
		0x4200, 
		0x4600, 
		0x4200, 
		0x8200, 
		0x8200, 
		0x8000, 
		0x8200, 
		0xBE00, 
		0x8000, 
		0xB800, 
		0xB800, 
		0xB800, 
		0x3800, 
		0x3800, 
		0x3800, 
		0x3800, 
		0x3800, 
		0x3800, 
		0x3800, 
		0x3800, 
		0x7800, 
		0x7800, 
		0x7000, 
		0x7000, 
		0x7000, 
		0x7000,
		0x0000, 
		0x0000, 
		0x0000, 
		0x0000, 
		0x0000, 
		0x0000 
		},
	/*----- bitmap : w = 16, h = 28 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000, 
		0x0000, 
		0x0C00, 
		0x1000, 
		0x0000, 
		0x0000, 
		0x0800, 
		0x0400, 
		0x0000, 
		0x0000, 
		0x0000, 
		0x1C00, 
		0x1C00, 
		0x0800, 
		0x0800, 
		0x0800, 
		0x0800, 
		0x0800, 
		0x0800, 
		0x0800, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0200, 
		0x0200,
		0x0000, 
		0x0000, 
		0x0000, 
		0x0000, 
		0x0000, 
		0x0000, 
		/*------ plane # 1: --------*/
		0x1800, 
		0x2400, 
		0x4200, 
		0x4600, 
		0x4200, 
		0x8200, 
		0x8200, 
		0x8000, 
		0x8200, 
		0xBE00, 
		0x8000, 
		0x9C00, 
		0x9C00, 
		0x9C00, 
		0x1C00, 
		0x1C00, 
		0x1C00, 
		0x1C00, 
		0x1C00, 
		0x1E00, 
		0x1E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0F00, 
		0x0F00, 
		0x0700,
		0x0000, 
		0x0000, 
		0x0000, 
		0x0000, 
		0x0000, 
		0x0000 
		},
	/*----- bitmap : w = 16, h = 34 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000, 
		0x0000, 
		0x0C00, 
		0x1000, 
		0x0000, 
		0x0000, 
		0x0800, 
		0x0400, 
		0x0000, 
		0x0000, 
		0x0000, 
		0x1C00, 
		0x0E00, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0400, 
		0x0200, 
		0x0200, 
		0x0200, 
		0x0200, 
		0x0200, 
		0x0200, 
		0x0200, 
		0x0200, 
		0x0200, 
		0x0200, 
		0x0200, 
		0x0200, 
		0x0100, 
		0x0100,
		/*------ plane # 1: --------*/
		0x1800, 
		0x2400, 
		0x4200, 
		0x4600, 
		0x4200, 
		0x8200, 
		0x8200, 
		0x8000, 
		0x8200, 
		0xBE00, 
		0x8000, 
		0x9C00, 
		0x8E00, 
		0x8E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0E00, 
		0x0F00, 
		0x0F00, 
		0x0700, 
		0x0700, 
		0x0700, 
		0x0700, 
		0x0700, 
		0x0700, 
		0x0700, 
		0x0700, 
		0x0700, 
		0x0700, 
		0x0780, 
		0x0780, 
		0x0380
		}
	};

SHORT manATimes[MANACOUNT] =
	{
	1, 1, 1, 1, 1, 1, 1, 1
	};
SHORT manAYTranses[MANACOUNT] =
	{
	18<<ANFS,20<<ANFS,16<<ANFS,11<<ANFS,
	18<<ANFS,20<<ANFS,15<<ANFS,11<<ANFS
	};
SHORT manAXTranses[MANACOUNT] =
	{
	-3<<ANFS, 7<<ANFS,20<<ANFS,31<<ANFS,
	4<<ANFS,11<<ANFS,13<<ANFS,19<<ANFS
	};

/* APTR manACRoutines[MANACOUNT] */
WORD (*manACRoutines[MANACOUNT])(struct AnimComp *) =
	{
	NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL
	};

UWORD chip manAImage[MANACOUNT][MANAWWIDTH * MANAHEIGHT * MANADEPTH] =
	{
		{
		/*----- bitmap : w = 32, h = 22 ------ */
		/*------ plane # 0: --------*/
		0x0,   0x0, 
		0x0100,   0x0, 
		0x0200,   0x0, 
		0x0400,   0x0, 
		0x0400,   0x0, 
		0x0800,   0x0, 
		0x1000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x1000,   0x0, 
		0x0000,   0x0, 
		0x3800,   0x0, 
		0x3800,   0x0, 
		0x3800,   0x0, 
		0x0800,   0x0, 
		0x0800,   0x0,
		/*------ plane # 1: --------*/
		0x0380,   0x0, 
		0x0780,   0x0, 
		0x0F80,   0x0, 
		0x0F00,   0x0, 
		0x1E00,   0x0, 
		0x3E00,   0x0, 
		0x7C00,   0x0, 
		0x7800,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0x7000,   0x0, 
		0x7000,   0x0, 
		0x7800,   0x0, 
		0x7800,   0x0, 
		0x3800,   0x0, 
		0x3800,   0x0, 
		0x3800,   0x0, 
		0x3800,   0x0, 
		0x0800,   0x0, 
		0x0800,   0x0
		},

	/*----- bitmap : w = 32, h = 21 ------ */
		{
		/*------ plane # 0: --------*/
		0x0,   0x0, 
		0x0200,   0x0, 
		0x0400,   0x0, 
		0x0400,   0x0, 
		0x0800,   0x0, 
		0x0800,   0x0, 
		0x1000,   0x0, 
		0x1000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x4000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x1000,   0x0, 
		0x0800,   0x0, 
		0x0400,   0x0, 
		0x0400,   0x0, 
		0x0080,   0x0, 
		0x01C0,   0x0, 
		0x03A0,   0x0, 
		0x0110,   0x0,
		0x0,      0x0,
		/*------ plane # 1: --------*/
		0x0700,   0x0, 
		0x0F00,   0x0, 
		0x0F00,   0x0, 
		0x1E00,   0x0, 
		0x1E00,   0x0, 
		0x3C00,   0x0, 
		0x3C00,   0x0, 
		0x7800,   0x0, 
		0x7800,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0x7800,   0x0, 
		0x7C00,   0x0, 
		0x3E00,   0x0, 
		0x1E00,   0x0, 
		0x0F00,   0x0, 
		0x0F80,   0x0, 
		0x07C0,   0x0, 
		0x03A0,   0x0, 
		0x0110,   0x0,
		0x0,      0x0
		},

	/*----- bitmap : w = 32, h = 13 ------ */
		{
		/*------ plane # 0: --------*/
		0x0000,   0x0, 
		0x4000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x1000,   0x0, 
		0x0800,   0x0, 
		0x0800,   0x0, 
		0x0400,   0x0, 
		0x0400,   0x0, 
		0x0380,   0x0, 
		0x007E,   0x7C00, 
		0x0001,   0x7000, 
		0x0000,   0x7000,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		/*------ plane # 1: --------*/
		0xE000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0x7800,   0x0, 
		0x7C00,   0x0, 
		0x3C00,   0x0, 
		0x1E00,   0x0, 
		0x1E00,   0x0, 
		0x0FC0,   0x0, 
		0x0FFF,   0x0, 
		0x07FF,   0xFC00, 
		0x00FF,   0xF000, 
		0x0003,   0xF000,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0
		},

	/*----- bitmap : w = 32, h = 13 ------ */
		{
		/*------ plane # 0: --------*/
		0x0,   0x100, 
		0x0000,   0x200, 
		0x0000,   0x400, 
		0x6000,   0xE00, 
		0x1800,   0x700, 
		0x0400,   0x200, 
		0x0300,   0x800, 
		0x0080,   0x1000, 
		0x0060,   0x2000, 
		0x0018,   0x4000, 
		0x0006,   0x4000, 
		0x0001,   0x8000, 
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		/*------ plane # 1: --------*/
		0x0,   0x100, 
		0x0000,   0x200, 
		0xF000,   0x400, 
		0xFC00,   0xE00, 
		0xFE00,   0x1F00, 
		0x3F80,   0x1E00, 
		0x0FC0,   0x3C00, 
		0x07F0,   0x7C00, 
		0x01FC,   0xF800, 
		0x00FF,   0xF000, 
		0x003F,   0xE000, 
		0x000F,   0xE000, 
		0x0003,   0xC000,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0
		},

	/*----- bitmap : w = 32, h = 12 ------ */
		{
		/*------ plane # 0: --------*/
		0x0000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x1000,   0x0, 
		0x0800,   0x0, 
		0x0800,   0x0, 
		0x0400,   0x0, 
		0x0400,   0x7C00, 
		0x03FF,   0x7000, 
		0x0000,   0x7000,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		/*------ plane # 1: --------*/
		0xE000,   0x0, 
		0xE000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0x7800,   0x0, 
		0x7C00,   0x0, 
		0x3C00,   0x0, 
		0x1E00,   0x0, 
		0x1E00,   0x0, 
		0x0FFF,   0xFC00, 
		0x0FFF,   0xF000, 
		0x07FF,   0xF000,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0
		},

	/*----- bitmap : w = 32, h = 17 ------ */
		{
		/*------ plane # 0: --------*/
		0x0,   0x0, 
		0x1000,   0x0, 
		0x1000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x3000,   0x0, 
		0x0C00,   0x0, 
		0x0200,   0x0, 
		0x0120,   0x0, 
		0x0078,   0x0, 
		0x00E6,   0x0, 
		0x0040,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		/*------ plane # 1: --------*/
		0x3800,   0x0, 
		0x3800,   0x0, 
		0x7800,   0x0, 
		0x7800,   0x0, 
		0x7000,   0x0, 
		0x7000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xE000,   0x0, 
		0xF800,   0x0, 
		0xFE00,   0x0, 
		0x7F00,   0x0, 
		0x1FC0,   0x0, 
		0x07E0,   0x0, 
		0x03F8,   0x0, 
		0x00E6,   0x0, 
		0x0040,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0
		},

	/*----- bitmap : w = 32, h = 18 ------ */
		{
		/*------ plane # 0: --------*/
		0x0,   0x0, 
		0x0200,   0x0, 
		0x0200,   0x0, 
		0x0400,   0x0, 
		0x0800,   0x0, 
		0x0800,   0x0, 
		0x1000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x4000,   0x0, 
		0x2000,   0x0, 
		0x1000,   0x0, 
		0x0800,   0x0, 
		0x0800,   0x0, 
		0x0100,   0x0, 
		0x0380,   0x0, 
		0x0740,   0x0, 
		0x0220,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		/*------ plane # 1: --------*/
		0x0700,   0x0, 
		0x0700,   0x0, 
		0x0F00,   0x0, 
		0x1F00,   0x0, 
		0x1E00,   0x0, 
		0x3C00,   0x0, 
		0x7C00,   0x0, 
		0x7800,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xF800,   0x0, 
		0x7C00,   0x0, 
		0x3C00,   0x0, 
		0x1E00,   0x0, 
		0x1F00,   0x0, 
		0x0F80,   0x0, 
		0x0740,   0x0, 
		0x0220,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0,
		0x0000,   0x0
		},

	/*----- bitmap : w = 32, h = 22 ------ */
		{
		/*------ plane # 0: --------*/
		0x0,   0x0, 
		0x0010,   0x0, 
		0x0020,   0x0, 
		0x00C0,   0x0, 
		0x0100,   0x0, 
		0x0200,   0x0, 
		0x0400,   0x0, 
		0x1800,   0x0, 
		0x2000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x0000,   0x0, 
		0xE000,   0x0, 
		0xE000,   0x0, 
		0xE000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0,
		/*------ plane # 1: --------*/
		0x0038,   0x0, 
		0x0078,   0x0, 
		0x01F8,   0x0, 
		0x03F0,   0x0, 
		0x07E0,   0x0, 
		0x0F80,   0x0, 
		0x3F00,   0x0, 
		0x7E00,   0x0, 
		0xFC00,   0x0, 
		0xF000,   0x0, 
		0xE000,   0x0, 
		0xE000,   0x0, 
		0xE000,   0x0, 
		0xE000,   0x0, 
		0xE000,   0x0, 
		0xE000,   0x0, 
		0xE000,   0x0, 
		0xE000,   0x0, 
		0xE000,   0x0, 
		0xE000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0
		}
	};

SHORT manLTimes[MANLCOUNT] =
	{
	1, 1, 1, 1, 1, 1, 1, 1
	};
SHORT manLYTranses[MANLCOUNT] =
	{
	31<<ANFS,31<<ANFS,31<<ANFS,31<<ANFS,
	31<<ANFS,31<<ANFS,31<<ANFS,31<<ANFS
	};
SHORT manLXTranses[MANLCOUNT] =
	{
	  4<<ANFS, 4<<ANFS, 5<<ANFS,10<<ANFS,
	-16<<ANFS,-6<<ANFS,21<<ANFS,32<<ANFS
	};

/* APTR manLCRoutines[MANLCOUNT] */
WORD (*manLCRoutines[MANLCOUNT])(struct AnimComp *) =
	{
	NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL
	};

UWORD chip manLImage[MANLCOUNT][MANLWWIDTH * MANLHEIGHT * MANLDEPTH] =
	{
	/*----- bitmap : w = 32, h = 24 ------ */
		{
		/*------ plane # 0: --------*/
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x2000,   0x0, 
		0x1000,   0x0, 
		0x1000,   0x0, 
		0x1000,   0x0, 
		0x1000,   0x0, 
		0x800,   0x0, 
		0x800,   0x0, 
		0x800,   0x0, 
		0x400,   0x0, 
		0x400,   0x0, 
		0x400,   0x0, 
		0x800,   0x0, 
		0x800,   0x0, 
		0x0,   0x0, 
		0x3800,   0x0, 
		0x7800,   0x0, 
		0xDFF0,   0x0, 
		0xCFF0,   0x0, 
		0x7FF0,   0x0,
		/*------ plane # 1: --------*/
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0xE000,   0x0, 
		0xE000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xF800,   0x0, 
		0x7800,   0x0, 
		0x3800,   0x0, 
		0x3800,   0x0, 
		0x3C00,   0x0, 
		0x3C00,   0x0, 
		0x1C00,   0x0, 
		0x1E00,   0x0, 
		0x1E00,   0x0, 
		0xE00,   0x0, 
		0x1E00,   0x0, 
		0x1E00,   0x0, 
		0x1C00,   0x0, 
		0x3C00,   0x0, 
		0x400,   0x0, 
		0x0,   0x0, 
		0x2780,   0x0, 
		0x3000,   0x0, 
		0x2AA0,   0x0
		},

	/*----- bitmap : w = 32, h = 27 ------ */
		{
		/*------ plane # 0: --------*/
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x40,   0x0, 
		0x40,   0x0, 
		0x40,   0x0, 
		0x40,   0x0, 
		0x40,   0x0, 
		0x40,   0x0, 
		0x80,   0x0, 
		0x80,   0x0, 
		0x80,   0x0, 
		0x80,   0x0, 
		0x100,   0x0, 
		0x100,   0x0, 
		0x100,   0x0, 
		0x200,   0x0, 
		0x200,   0x0, 
		0x200,   0x0, 
		0x400,   0x0, 
		0x400,   0x0, 
		0x800,   0x0, 
		0x800,   0x0, 
		0x800,   0x0, 
		0x0,   0x0, 
		0x3800,   0x0, 
		0x7800,   0x0, 
		0xDFF0,   0x0, 
		0xCFF0,   0x0, 
		0x7FF0,   0x0,
		/*------ plane # 1: --------*/
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0xE0,   0x0, 
		0xE0,   0x0, 
		0xF0,   0x0, 
		0xF0,   0x0, 
		0xF0,   0x0, 
		0x1E0,   0x0, 
		0x1E0,   0x0, 
		0x1C0,   0x0, 
		0x1C0,   0x0, 
		0x3C0,   0x0, 
		0x3C0,   0x0, 
		0x380,   0x0, 
		0x780,   0x0, 
		0x780,   0x0, 
		0x700,   0x0, 
		0xF00,   0x0, 
		0xF00,   0x0, 
		0x1E00,   0x0, 
		0x1E00,   0x0, 
		0x1C00,   0x0, 
		0x3C00,   0x0, 
		0x3C00,   0x0, 
		0x0,   0x0, 
		0x0,   0x0, 
		0x2780,   0x0, 
		0x3000,   0x0, 
		0x2AA0,   0x0
		},

	/*----- bitmap : w = 32, h = 30 ------ */
		{
		/*------ plane # 0: --------*/
		0x0,   0x4000, 
		0x0,   0x4000, 
		0x0,   0x2000, 
		0x0,   0x2000, 
		0x0,   0x2000, 
		0x0,   0x4000, 
		0x0,   0x8000, 
		0x1,   0x0, 
		0x1,   0x0, 
		0x2,   0x0, 
		0x4,   0x0, 
		0x8,   0x0, 
		0x10,   0x0, 
		0x20,   0x0, 
		0x20,   0x0, 
		0x40,   0x0, 
		0x80,   0x0, 
		0x80,   0x0, 
		0x100,   0x0, 
		0x200,   0x0, 
		0x400,   0x0, 
		0x3000,   0x0, 
		0x7800,   0x0, 
		0xD800,   0x0, 
		0xB800,   0x0, 
		0x5C00,   0x0, 
		0x3E00,   0x0, 
		0x1FC0,   0x0, 
		0xFC0,   0x0, 
		0x7C0,   0x0,
		/*------ plane # 1: --------*/
		0x0,   0xE000, 
		0x0,   0xF000, 
		0x0,   0xF800, 
		0x0,   0x7800, 
		0x0,   0xF800, 
		0x1,   0xF000, 
		0x3,   0xE000, 
		0x3,   0xC000, 
		0x7,   0x8000, 
		0xF,   0x8000, 
		0x1F,   0x0, 
		0x3E,   0x0, 
		0x7C,   0x0, 
		0x78,   0x0, 
		0xF0,   0x0, 
		0x1F0,   0x0, 
		0x1E0,   0x0, 
		0x3C0,   0x0, 
		0x7C0,   0x0, 
		0xF80,   0x0, 
		0x1F00,   0x0, 
		0xE00,   0x0, 
		0x400,   0x0, 
		0x2000,   0x0, 
		0x4800,   0x0, 
		0x2400,   0x0, 
		0x2200,   0x0, 
		0x1000,   0x0, 
		0x800,   0x0, 
		0x280,   0x0
		},

	/*----- bitmap : w = 32, h = 27 ------ */
		{
		/*------ plane # 0: --------*/
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,   0x100, 
		0x0,   0x100, 
		0x0,   0x100, 
		0x0,   0x100, 
		0x0,   0x100, 
		0x0,   0x200, 
		0x0,   0x400, 
		0x0,   0x1800, 
		0x0,   0x2000, 
		0x0,   0x4000, 
		0x1,   0x8000, 
		0x2,   0x0, 
		0x4,   0x0, 
		0x18,   0x0, 
		0x60,   0x0, 
		0x980,   0x0, 
		0xFA00,   0x0, 
		0x9800,   0x0, 
		0xBC00,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xF800,   0x0, 
		0xF800,   0x0, 
		0x7800,   0x0,
		/*------ plane # 1: --------*/
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,   0x380, 
		0x0,   0x380, 
		0x0,   0x3C0, 
		0x0,   0x3C0, 
		0x0,   0x7C0, 
		0x0,   0xF80, 
		0x0,   0x3F00, 
		0x0,   0x7E00, 
		0x0,   0xFC00, 
		0x3,   0xF000, 
		0x7,   0xE000, 
		0xF,   0xC000, 
		0x3F,   0x0, 
		0xFE,   0x0, 
		0x3FC,   0x0, 
		0x7F0,   0x0, 
		0x7C0,   0x0, 
		0x6700,   0x0, 
		0x4000,   0x0, 
		0x9000,   0x0, 
		0x1000,   0x0, 
		0x9000,   0x0, 
		0x1000,   0x0, 
		0x8000,   0x0, 
		0x0,   0x0, 
		0x8000,   0x0, 
		0x2000,   0x0
		},

	/*----- bitmap : w = 32, h = 23 ------ */
		{
		/* ------ plane # 0: --------*/
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,   0x400, 
		0x0,   0x400, 
		0x0,   0x400, 
		0x0,   0x400, 
		0x0,   0x400, 
		0x0,   0x800, 
		0x0,   0x1000, 
		0x0,   0x1000, 
		0x0,   0x2000, 
		0x0,   0x4000, 
		0x0,   0x8000, 
		0x0,   0x8000, 
		0xF01,   0x0, 
		0x1E7E,   0x0, 
		0x1280,   0x0, 
		0x3600,   0x0, 
		0x3C00,   0x0, 
		0x7800,   0x0, 
		0x7800,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xE000,   0x0, 
		0xE000,   0x0,
		0x0,      0x0,
		/*------ plane # 1: --------*/
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,   0xE00, 
		0x0,   0xE00, 
		0x0,   0xF00, 
		0x0,   0xF00, 
		0x0,   0x1F00, 
		0x0,   0x3E00, 
		0x0,   0x3C00, 
		0x0,   0x7800, 
		0x0,   0xF800, 
		0x1,   0xF000, 
		0x1,   0xE000, 
		0x3,   0xC000, 
		0xFF,   0xC000, 
		0x11FF,   0x8000, 
		0xDFF,   0x0, 
		0x29C0,   0x0, 
		0x400,   0x0, 
		0x4800,   0x0, 
		0x800,   0x0, 
		0x9000,   0x0, 
		0x0,   0x0, 
		0x8000,   0x0, 
		0x0,   0x0,
		0x0,      0x0
		},

	/*----- bitmap : w = 32, h = 24 ------ */
		{
		/*------ plane # 0: --------*/
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,   0x1000, 
		0x0,   0x1000, 
		0x0,   0x1000, 
		0x0,   0x1000, 
		0x0,   0x1000, 
		0x0,   0x1000, 
		0x0,   0x1000, 
		0x0,   0x1000, 
		0x0,   0x1000, 
		0x0,   0x1000, 
		0x0,   0x1000, 
		0x0,   0x1000, 
		0x0,   0x1000, 
		0x0,   0x1000, 
		0xC00,   0xF000, 
		0x1E3F,   0x0, 
		0x16C0,   0x0, 
		0x2A00,   0x0, 
		0x3E00,   0x0, 
		0x7C00,   0x0, 
		0x7800,   0x0, 
		0xF800,   0x0, 
		0xF000,   0x0, 
		0xE000,   0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		/*------ plane # 1: --------*/
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,   0x3800, 
		0x0,   0x3800, 
		0x0,   0x3C00, 
		0x0,   0x3C00, 
		0x0,   0x3C00, 
		0x0,   0x3800, 
		0x0,   0x3800, 
		0x0,   0x3800, 
		0x0,   0x3800, 
		0x0,   0x3800, 
		0x0,   0x3800, 
		0x0,   0x3800, 
		0x0,   0x3800, 
		0x1,   0xF800, 
		0x87F,   0xF800, 
		0x1FF,   0xF800, 
		0x19FF,   0x8000, 
		0x15E0,   0x0, 
		0x2400,   0x0, 
		0x400,   0x0, 
		0x4800,   0x0, 
		0x800,   0x0, 
		0x8000,   0x0, 
		0x0,   0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0
		},

	/*----- bitmap : w = 32, h = 24 ------ */
		{
		/*------ plane # 0: --------*/
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x1000,   0x0, 
		0xC00,   0x0, 
		0x300,   0x0, 
		0x80,   0x0, 
		0x60,   0x0, 
		0x10,   0x0, 
		0x8,   0x0, 
		0x10,   0x0, 
		0x20,   0x0, 
		0xC0,   0x0, 
		0x100,   0x0, 
		0xC00,   0x0, 
		0x1B00,   0x0, 
		0x3700,   0x0, 
		0x1BC0,   0x0, 
		0x7F0,   0x0, 
		0x3F8,   0x0, 
		0xF8,   0x0, 
		0x38,   0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		/*------ plane # 1: --------*/
		0xE000,   0x0, 
		0xF000,   0x0, 
		0xF800,   0x0, 
		0x7800,   0x0, 
		0x7800,   0x0, 
		0x7E00,   0x0, 
		0x3F80,   0x0, 
		0x1FC0,   0x0, 
		0x7F0,   0x0, 
		0x1F8,   0x0, 
		0xFC,   0x0, 
		0x3C,   0x0, 
		0x7C,   0x0, 
		0x1F8,   0x0, 
		0x3F0,   0x0, 
		0x7E0,   0x0, 
		0x380,   0x0, 
		0x400,   0x0, 
		0x900,   0x0, 
		0x14C0,   0x0, 
		0x420,   0x0, 
		0x200,   0x0, 
		0x80,   0x0, 
		0x20,   0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0
		},

	/*----- bitmap : w = 32, h = 25 ------ */
		{
		/*------ plane # 0: --------*/
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x4000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x2000,   0x0, 
		0x1000,   0x0, 
		0x1000,   0x0, 
		0x800,   0x0, 
		0x800,   0x0, 
		0x800,   0x0, 
		0x400,   0x0, 
		0x400,   0x0, 
		0x403,   0x0, 
		0x207,   0x8000, 
		0x20F,   0x0, 
		0x11E,   0x0, 
		0xBC,   0x0, 
		0x3FC,   0x0, 
		0x358,   0x0, 
		0x1B0,   0x0, 
		0xE0,   0x0,
		0x0,      0x0,
		0x0,      0x0,
		/*------ plane # 1: --------*/
		0x0,      0x0,
		0x0,      0x0,
		0x0,      0x0,
		0xE000,   0x0, 
		0xE000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0xF000,   0x0, 
		0x7000,   0x0, 
		0x7800,   0x0, 
		0x7800,   0x0, 
		0x3C00,   0x0, 
		0x3C00,   0x0, 
		0x1C00,   0x0, 
		0x1E00,   0x0, 
		0x1E00,   0x0, 
		0xE00,   0x0, 
		0xF00,   0x0, 
		0xF00,   0x8000, 
		0x788,   0x0, 
		0x792,   0x0, 
		0x320,   0x0, 
		0x44,   0x0, 
		0xA0,   0x0, 
		0x50,   0x0, 
		0x40,   0x0,
		0x0,      0x0,
		0x0,      0x0
		}
	};
