/* Copyright (c) 1990 Commodore-Amiga, Inc.
 *
 * This example is provided in electronic form by Commodore-Amiga, Inc. for
 * use with the 1.3 revisions of the Addison-Wesley Amiga reference manuals. 
 * The 1.3 Addison-Wesley Amiga Reference Manual series contains additional
 * information on the correct usage of the techniques and operating system
 * functions presented in this example.  The source and executable code of
 * this example may only be distributed in free electronic form, via bulletin
 * board or as part of a fully non-commercial and freely redistributable
 * diskette.  Both the source and executable code (including comments) must
 * be included, without modification, in any copy.  This example may not be
 * published in printed form or distributed with any commercial product.
 * However, the programming techniques and support routines set forth in
 * this example may be used in the development of original executable
 * software products for Commodore Amiga computers.
 * All other rights reserved.
 * This example is provided "as-is" and is subject to change; no warranties
 * are made.  All use is at your own risk.  No liability or responsibility
 * is assumed.
 */

#define WRMCOUNT 24                  /* My Worm Sequence constants. */
#define WRMRINGX 14
#define WRMRINGY 0
#define WRMWIDTH 64
#define WRMHEIGHT 26
#define WRMDEPTH 2
#define WRMWWIDTH ((WRMWIDTH + 15) / 16)

SHORT WrmTimes[WRMCOUNT] =
	{
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1
	};

SHORT WrmYTranses[WRMCOUNT] =
	{
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
	};

SHORT WrmXTranses[WRMCOUNT] =
	{
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0
	};

/* APTR WrmCRoutines[WRMCOUNT] */
WORD (*WrmCRoutines[WRMCOUNT])(struct AnimComp *) =
	{
	NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
	NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL
	};

UWORD chip WrmImage[WRMCOUNT][WRMWWIDTH * WRMHEIGHT * WRMDEPTH] =
	{
	/*----- bitmap Worm-A w = 64, h = 32 ------ */
		{
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0100,   0x0000,   0x0000, 
		0x0000,   0x0100,   0x0000,   0x0000, 
		0x0000,   0x0100,   0x0000,   0x0000, 
		0x0000,   0x0100,   0x0000,   0x0000, 
		0x0000,   0x0100,   0x0000,   0x0000, 
		0x294A,   0x5280,   0x0000,   0x0000, 
		0x77BD,   0xEF40,   0x0000,   0x0000, 
		0x2529,   0x4A40,   0x0000,   0x0000, 
		0x4E73,   0x9CC0,   0x0000,   0x0000, 
		0x39CE,   0x7380,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0100,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x318C,   0x6300,   0x0000,   0x0000, 
		0x7BDE,   0xF780,   0x0000,   0x0000, 
		0x7BDE,   0xF780,   0x0000,   0x0000, 
		0x318C,   0x6300,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-B w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0040,   0x0000,   0x0000, 
		0x0000,   0x0040,   0x0000,   0x0000, 
		0x0005,   0x0040,   0x0000,   0x0000, 
		0x00AE,   0xD080,   0x0000,   0x0000, 
		0x0BD4,   0xEA80,   0x0000,   0x0000, 
		0x1C99,   0x4F40,   0x0000,   0x0000, 
		0x0937,   0x9A40,   0x0000,   0x0000, 
		0x12E0,   0x74C0,   0x0000,   0x0000, 
		0x0E00,   0x0380,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0040,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0006,   0x0000,   0x0000,   0x0000, 
		0x00CF,   0x6000,   0x0000,   0x0000, 
		0x0DEF,   0xF300,   0x0000,   0x0000, 
		0x1FE6,   0xF780,   0x0000,   0x0000, 
		0x1EC0,   0x6780,   0x0000,   0x0000, 
		0x0C00,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-C w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0020,   0x0000,   0x0000, 
		0x0000,   0x0020,   0x0000,   0x0000, 
		0x0002,   0x8020,   0x0000,   0x0000, 
		0x002F,   0x6840,   0x0000,   0x0000, 
		0x02F2,   0x7680,   0x0000,   0x0000, 
		0x0724,   0xA740,   0x0000,   0x0000, 
		0x024F,   0xCA40,   0x0000,   0x0000, 
		0x04F8,   0x3CC0,   0x0000,   0x0000, 
		0x0380,   0x0380,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0020,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0003,   0x0000,   0x0000,   0x0000, 
		0x0037,   0xB000,   0x0000,   0x0000, 
		0x037F,   0xFB00,   0x0000,   0x0000, 
		0x07FB,   0x7F80,   0x0000,   0x0000, 
		0x07B0,   0x3780,   0x0000,   0x0000, 
		0x0300,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-D w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0001,   0x4000,   0x0000,   0x0000, 
		0x0003,   0xA800,   0x0000,   0x0000, 
		0x0009,   0x7410,   0x0000,   0x0000, 
		0x001E,   0x2410,   0x0000,   0x0000, 
		0x00A9,   0xCEE0,   0x0000,   0x0000, 
		0x01D3,   0x3F40,   0x0000,   0x0000, 
		0x009E,   0x0240,   0x0000,   0x0000, 
		0x0130,   0x04C0,   0x0000,   0x0000, 
		0x00E0,   0x0380,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0001,   0x8000,   0x0000,   0x0000, 
		0x0003,   0xF000,   0x0000,   0x0000, 
		0x000F,   0xF810,   0x0000,   0x0000, 
		0x001D,   0xF800,   0x0000,   0x0000, 
		0x00DE,   0x3300,   0x0000,   0x0000, 
		0x01EC,   0x0780,   0x0000,   0x0000, 
		0x01E0,   0x0780,   0x0000,   0x0000, 
		0x00C0,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-E w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0xA000,   0x0000,   0x0000, 
		0x0001,   0xD000,   0x0000,   0x0000, 
		0x0000,   0x9000,   0x0000,   0x0000, 
		0x0005,   0x3400,   0x0000,   0x0000, 
		0x000E,   0xFA00,   0x0000,   0x0000, 
		0x0004,   0x9208,   0x0000,   0x0000, 
		0x0029,   0xA688,   0x0000,   0x0000, 
		0x0077,   0x1F70,   0x0000,   0x0000, 
		0x0024,   0x0240,   0x0000,   0x0000, 
		0x004C,   0x04C0,   0x0000,   0x0000, 
		0x0038,   0x0380,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0xC000,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0006,   0xD800,   0x0000,   0x0000, 
		0x000F,   0x3C00,   0x0000,   0x0000, 
		0x000F,   0x3C08,   0x0000,   0x0000, 
		0x0036,   0x1B00,   0x0000,   0x0000, 
		0x0078,   0x0780,   0x0000,   0x0000, 
		0x0078,   0x0780,   0x0000,   0x0000, 
		0x0030,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-F w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x5000,   0x0000,   0x0000, 
		0x0000,   0xE800,   0x0000,   0x0000, 
		0x0000,   0x4800,   0x0000,   0x0000, 
		0x0000,   0x9800,   0x0000,   0x0000, 
		0x0002,   0xFA00,   0x0000,   0x0000, 
		0x0007,   0x5D00,   0x0000,   0x0000, 
		0x0002,   0x4900,   0x0000,   0x0000, 
		0x0004,   0xD308,   0x0000,   0x0000, 
		0x000B,   0x8E88,   0x0000,   0x0000, 
		0x001D,   0x0770,   0x0000,   0x0000, 
		0x0009,   0x0240,   0x0000,   0x0000, 
		0x0013,   0x04C0,   0x0000,   0x0000, 
		0x000E,   0x0380,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x6000,   0x0000,   0x0000, 
		0x0000,   0xF000,   0x0000,   0x0000, 
		0x0000,   0xF000,   0x0000,   0x0000, 
		0x0000,   0x6000,   0x0000,   0x0000, 
		0x0003,   0x0C00,   0x0000,   0x0000, 
		0x0007,   0x9E00,   0x0000,   0x0000, 
		0x0007,   0x9E00,   0x0000,   0x0000, 
		0x0003,   0x0C08,   0x0000,   0x0000, 
		0x000C,   0x0300,   0x0000,   0x0000, 
		0x001E,   0x0780,   0x0000,   0x0000, 
		0x001E,   0x0780,   0x0000,   0x0000, 
		0x000C,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-G w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x2800,   0x0000,   0x0000, 
		0x0000,   0x7400,   0x0000,   0x0000, 
		0x0000,   0x2400,   0x0000,   0x0000, 
		0x0000,   0x4C00,   0x0000,   0x0000, 
		0x0000,   0xBA00,   0x0000,   0x0000, 
		0x0001,   0xDD00,   0x0000,   0x0000, 
		0x0000,   0x8900,   0x0000,   0x0000, 
		0x0001,   0x3300,   0x0000,   0x0000, 
		0x0000,   0xEE00,   0x0000,   0x0000, 
		0x0002,   0x8280,   0x0000,   0x0000, 
		0x0007,   0x477C,   0x0000,   0x0000, 
		0x0002,   0x4240,   0x0000,   0x0000, 
		0x0004,   0xC4C0,   0x0000,   0x0000, 
		0x0003,   0x8380,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x3000,   0x0000,   0x0000, 
		0x0000,   0x7800,   0x0000,   0x0000, 
		0x0000,   0x7800,   0x0000,   0x0000, 
		0x0000,   0x3000,   0x0000,   0x0000, 
		0x0000,   0xCC00,   0x0000,   0x0000, 
		0x0001,   0xFE00,   0x0000,   0x0000, 
		0x0001,   0xFE00,   0x0000,   0x0000, 
		0x0000,   0xCC00,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0003,   0x0300,   0x0000,   0x0000, 
		0x0007,   0x8784,   0x0000,   0x0000, 
		0x0007,   0x8780,   0x0000,   0x0000, 
		0x0003,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-H w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x1400,   0x0000,   0x0000, 
		0x0000,   0x3A00,   0x0000,   0x0000, 
		0x0000,   0x1200,   0x0000,   0x0000, 
		0x0000,   0x2600,   0x0000,   0x0000, 
		0x0000,   0x1C00,   0x0000,   0x0000, 
		0x0000,   0x5500,   0x0000,   0x0000, 
		0x0000,   0xEE80,   0x0000,   0x0000, 
		0x0000,   0x4480,   0x0000,   0x0000, 
		0x0000,   0x9980,   0x0000,   0x0000, 
		0x0000,   0x7700,   0x0000,   0x0000, 
		0x0000,   0xA290,   0x0000,   0x0000, 
		0x0001,   0xD768,   0x0000,   0x0000, 
		0x0000,   0x9244,   0x0000,   0x0000, 
		0x0001,   0x34C0,   0x0000,   0x0000, 
		0x0000,   0xE380,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x1800,   0x0000,   0x0000, 
		0x0000,   0x3C00,   0x0000,   0x0000, 
		0x0000,   0x3C00,   0x0000,   0x0000, 
		0x0000,   0x1800,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x6600,   0x0000,   0x0000, 
		0x0000,   0xFF00,   0x0000,   0x0000, 
		0x0000,   0xFF00,   0x0000,   0x0000, 
		0x0000,   0x6600,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0xC300,   0x0000,   0x0000, 
		0x0001,   0xE780,   0x0000,   0x0000, 
		0x0001,   0xE784,   0x0000,   0x0000, 
		0x0000,   0xC300,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-I w = 64, h = 32 ------ */
	{ 
	/*------ plane # 0: --------*/
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x2800,   0x0000,   0x0000, 
	0x0000,   0x7400,   0x0000,   0x0000, 
	0x0000,   0x2400,   0x0000,   0x0000, 
	0x0000,   0x4C00,   0x0000,   0x0000, 
	0x0000,   0x3A80,   0x0000,   0x0000, 
	0x0000,   0x5740,   0x0000,   0x0000, 
	0x0000,   0xEA40,   0x0000,   0x0000, 
	0x0000,   0x4CC6,   0x0000,   0x0000, 
	0x0000,   0x9BAD,   0x0000,   0x0000, 
	0x0000,   0x7075,   0x0000,   0x0000, 
	0x0000,   0xA024,   0x0000,   0x0000, 
	0x0001,   0xD04C,   0x0000,   0x0000, 
	0x0000,   0x9038,   0x0000,   0x0000, 
	0x0001,   0x3000,   0x0000,   0x0000, 
	0x0000,   0xE000,   0x0000,   0x0000,

	/*------ plane # 1: --------*/
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000, 
	0x0000,   0x3000,   0x0000,   0x0000, 
	0x0000,   0x7800,   0x0000,   0x0000, 
	0x0000,   0x7800,   0x0000,   0x0000, 
	0x0000,   0x3000,   0x0000,   0x0000, 
	0x0000,   0x0300,   0x0000,   0x0000, 
	0x0000,   0x6780,   0x0000,   0x0000, 
	0x0000,   0xF780,   0x0000,   0x0000, 
	0x0000,   0xF300,   0x0000,   0x0000, 
	0x0000,   0x6030,   0x0000,   0x0000, 
	0x0000,   0x0079,   0x0000,   0x0000, 
	0x0000,   0xC078,   0x0000,   0x0000, 
	0x0001,   0xE030,   0x0000,   0x0000, 
	0x0001,   0xE000,   0x0000,   0x0000, 
	0x0000,   0xC000,   0x0000,   0x0000, 
	0x0000,   0x0000,   0x0000,   0x0000
	},

	/*----- bitmap Worm-J w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x2800,   0x0000,   0x0000, 
		0x0000,   0x7400,   0x0000,   0x0000, 
		0x0000,   0x2680,   0x0000,   0x0000, 
		0x0000,   0x4F46,   0x0000,   0x0000, 
		0x0000,   0x3A69,   0x0000,   0x0000, 
		0x0000,   0x54F5,   0x0000,   0x0000, 
		0x0000,   0xE3A4,   0x0000,   0x0000, 
		0x0000,   0x404C,   0x0000,   0x0000, 
		0x0000,   0x9038,   0x0000,   0x0000, 
		0x0000,   0x7000,   0x0000,   0x0000, 
		0x0000,   0xA000,   0x0000,   0x0000, 
		0x0001,   0xD000,   0x0000,   0x0000, 
		0x0000,   0x9000,   0x0000,   0x0000, 
		0x0001,   0x3000,   0x0000,   0x0000, 
		0x0000,   0xE000,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x3000,   0x0000,   0x0000, 
		0x0000,   0x7800,   0x0000,   0x0000, 
		0x0000,   0x7B00,   0x0000,   0x0000, 
		0x0000,   0x3780,   0x0000,   0x0000, 
		0x0000,   0x07B0,   0x0000,   0x0000, 
		0x0000,   0x6379,   0x0000,   0x0000, 
		0x0000,   0xF078,   0x0000,   0x0000, 
		0x0000,   0xF030,   0x0000,   0x0000, 
		0x0000,   0x6000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0xC000,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0000,   0xC000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-K w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0001,   0x8000,   0x0000, 
		0x0000,   0x294A,   0x4000,   0x0000, 
		0x0000,   0x77BD,   0x4000,   0x0000, 
		0x0000,   0x2529,   0x4000,   0x0000, 
		0x0000,   0x4E73,   0x0000,   0x0000, 
		0x0000,   0x39CE,   0x0000,   0x0000, 
		0x0000,   0x5000,   0x0000,   0x0000, 
		0x0000,   0xE000,   0x0000,   0x0000, 
		0x0000,   0x4000,   0x0000,   0x0000, 
		0x0000,   0x9000,   0x0000,   0x0000, 
		0x0000,   0x7000,   0x0000,   0x0000, 
		0x0000,   0xA000,   0x0000,   0x0000, 
		0x0001,   0xD000,   0x0000,   0x0000, 
		0x0000,   0x9000,   0x0000,   0x0000, 
		0x0001,   0x3000,   0x0000,   0x0000, 
		0x0000,   0xE000,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x318C,   0x0000,   0x0000, 
		0x0000,   0x7BDE,   0x0000,   0x0000, 
		0x0000,   0x7BDE,   0x4000,   0x0000, 
		0x0000,   0x318C,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x6000,   0x0000,   0x0000, 
		0x0000,   0xF000,   0x0000,   0x0000, 
		0x0000,   0xF000,   0x0000,   0x0000, 
		0x0000,   0x6000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0xC000,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0000,   0xC000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-L w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x001C,   0x0000,   0x0000, 
		0x0000,   0x002A,   0x0000,   0x0000, 
		0x0000,   0x0075,   0x0000,   0x0000, 
		0x0000,   0x0024,   0x0000,   0x0000, 
		0x0000,   0x004C,   0x0000,   0x0000, 
		0x0000,   0x02B8,   0x0000,   0x0000, 
		0x0000,   0x0740,   0x0000,   0x0000, 
		0x0000,   0x0240,   0x0000,   0x0000, 
		0x0000,   0x04C0,   0x0000,   0x0000, 
		0x0000,   0x2B80,   0x0000,   0x0000, 
		0x0000,   0x7400,   0x0000,   0x0000, 
		0x0000,   0x2400,   0x0000,   0x0000, 
		0x0000,   0x4C00,   0x0000,   0x0000, 
		0x0000,   0x3800,   0x0000,   0x0000, 
		0x0000,   0x5000,   0x0000,   0x0000, 
		0x0000,   0xE800,   0x0000,   0x0000, 
		0x0000,   0x4800,   0x0000,   0x0000, 
		0x0000,   0x9800,   0x0000,   0x0000, 
		0x0000,   0x7000,   0x0000,   0x0000, 
		0x0000,   0xA000,   0x0000,   0x0000, 
		0x0001,   0xD000,   0x0000,   0x0000, 
		0x0000,   0x9000,   0x0000,   0x0000, 
		0x0001,   0x3000,   0x0000,   0x0000, 
		0x0000,   0xE000,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0030,   0x0000,   0x0000, 
		0x0000,   0x0079,   0x0000,   0x0000, 
		0x0000,   0x0078,   0x0000,   0x0000, 
		0x0000,   0x0030,   0x0000,   0x0000, 
		0x0000,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x0780,   0x0000,   0x0000, 
		0x0000,   0x0780,   0x0000,   0x0000, 
		0x0000,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x3000,   0x0000,   0x0000, 
		0x0000,   0x7800,   0x0000,   0x0000, 
		0x0000,   0x7800,   0x0000,   0x0000, 
		0x0000,   0x3000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x6000,   0x0000,   0x0000, 
		0x0000,   0xF000,   0x0000,   0x0000, 
		0x0000,   0xF000,   0x0000,   0x0000, 
		0x0000,   0x6000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0xC000,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0000,   0xC000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-M w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x3A00,   0x0000,   0x0000, 
		0x0000,   0x3A00,   0x0000,   0x0000, 
		0x0000,   0x1D00,   0x0000,   0x0000, 
		0x0000,   0x0900,   0x0000,   0x0000, 
		0x0000,   0x1300,   0x0000,   0x0000, 
		0x0000,   0x0E00,   0x0000,   0x0000, 
		0x0000,   0x1400,   0x0000,   0x0000, 
		0x0000,   0x3A00,   0x0000,   0x0000, 
		0x0000,   0x1200,   0x0000,   0x0000, 
		0x0000,   0x2600,   0x0000,   0x0000, 
		0x0000,   0x1C00,   0x0000,   0x0000, 
		0x0000,   0x2800,   0x0000,   0x0000, 
		0x0000,   0x7400,   0x0000,   0x0000, 
		0x0000,   0x2400,   0x0000,   0x0000, 
		0x0000,   0x4C00,   0x0000,   0x0000, 
		0x0000,   0x3800,   0x0000,   0x0000, 
		0x0000,   0x5000,   0x0000,   0x0000, 
		0x0000,   0xE800,   0x0000,   0x0000, 
		0x0000,   0x4800,   0x0000,   0x0000, 
		0x0000,   0x9800,   0x0000,   0x0000, 
		0x0000,   0x7000,   0x0000,   0x0000, 
		0x0000,   0xA000,   0x0000,   0x0000, 
		0x0001,   0xD000,   0x0000,   0x0000, 
		0x0000,   0x9000,   0x0000,   0x0000, 
		0x0001,   0x3000,   0x0000,   0x0000, 
		0x0000,   0xE000,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0200,   0x0000,   0x0000, 
		0x0000,   0x0C00,   0x0000,   0x0000, 
		0x0000,   0x1E00,   0x0000,   0x0000, 
		0x0000,   0x1E00,   0x0000,   0x0000, 
		0x0000,   0x0C00,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x1800,   0x0000,   0x0000, 
		0x0000,   0x3C00,   0x0000,   0x0000, 
		0x0000,   0x3C00,   0x0000,   0x0000, 
		0x0000,   0x1800,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x3000,   0x0000,   0x0000, 
		0x0000,   0x7800,   0x0000,   0x0000, 
		0x0000,   0x7800,   0x0000,   0x0000, 
		0x0000,   0x3000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x6000,   0x0000,   0x0000, 
		0x0000,   0xF000,   0x0000,   0x0000, 
		0x0000,   0xF000,   0x0000,   0x0000, 
		0x0000,   0x6000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0xC000,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0000,   0xC000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-N w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0E00,   0x0000,   0x0000, 
		0x0000,   0x1000,   0x0000,   0x0000, 
		0x0000,   0x0E80,   0x0000,   0x0000, 
		0x0000,   0x0740,   0x0000,   0x0000, 
		0x0000,   0x0240,   0x0000,   0x0000, 
		0x0000,   0x04C0,   0x0000,   0x0000, 
		0x0000,   0x0380,   0x0000,   0x0000, 
		0x0000,   0x0500,   0x0000,   0x0000, 
		0x0000,   0x0E80,   0x0000,   0x0000, 
		0x0000,   0x0480,   0x0000,   0x0000, 
		0x0000,   0x0980,   0x0000,   0x0000, 
		0x0000,   0x0700,   0x0000,   0x0000, 
		0x0000,   0x0A00,   0x0000,   0x0000, 
		0x0000,   0x1D00,   0x0000,   0x0000, 
		0x0000,   0x0900,   0x0000,   0x0000, 
		0x0000,   0x1300,   0x0000,   0x0000, 
		0x0000,   0x0E00,   0x0000,   0x0000, 
		0x0000,   0x1400,   0x0000,   0x0000, 
		0x0000,   0x3A00,   0x0000,   0x0000, 
		0x0000,   0x1200,   0x0000,   0x0000, 
		0x0000,   0x2600,   0x0000,   0x0000, 
		0x0000,   0xBC00,   0x0000,   0x0000, 
		0x0001,   0xD000,   0x0000,   0x0000, 
		0x0000,   0x9000,   0x0000,   0x0000, 
		0x0001,   0x3000,   0x0000,   0x0000, 
		0x0000,   0xE000,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0200,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x0780,   0x0000,   0x0000, 
		0x0000,   0x0780,   0x0000,   0x0000, 
		0x0000,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0600,   0x0000,   0x0000, 
		0x0000,   0x0F00,   0x0000,   0x0000, 
		0x0000,   0x0F00,   0x0000,   0x0000, 
		0x0000,   0x0600,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0C00,   0x0000,   0x0000, 
		0x0000,   0x1E00,   0x0000,   0x0000, 
		0x0000,   0x1E00,   0x0000,   0x0000, 
		0x0000,   0x0C00,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x1800,   0x0000,   0x0000, 
		0x0000,   0x3C00,   0x0000,   0x0000, 
		0x0000,   0x3C00,   0x0000,   0x0000, 
		0x0000,   0x1800,   0x0000,   0x0000, 
		0x0000,   0xC000,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0000,   0xC000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-O w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x1C00,   0x0000,   0x0000, 
		0x0000,   0x2000,   0x0000,   0x0000, 
		0x0000,   0x2140,   0x0000,   0x0000, 
		0x0000,   0x1FA0,   0x0000,   0x0000, 
		0x0000,   0x0120,   0x0000,   0x0000, 
		0x0000,   0x0260,   0x0000,   0x0000, 
		0x0000,   0x01C0,   0x0000,   0x0000, 
		0x0000,   0x0280,   0x0000,   0x0000, 
		0x0000,   0x0740,   0x0000,   0x0000, 
		0x0000,   0x0240,   0x0000,   0x0000, 
		0x0000,   0x04C0,   0x0000,   0x0000, 
		0x0000,   0x0380,   0x0000,   0x0000, 
		0x0000,   0x0500,   0x0000,   0x0000, 
		0x0000,   0x0E80,   0x0000,   0x0000, 
		0x0000,   0x0480,   0x0000,   0x0000, 
		0x0000,   0x0980,   0x0000,   0x0000, 
		0x0000,   0x0700,   0x0000,   0x0000, 
		0x0000,   0x0A00,   0x0000,   0x0000, 
		0x0000,   0x1D00,   0x0000,   0x0000, 
		0x0000,   0x0900,   0x0000,   0x0000, 
		0x0000,   0xB300,   0x0000,   0x0000, 
		0x0001,   0xDE00,   0x0000,   0x0000, 
		0x0000,   0x9000,   0x0000,   0x0000, 
		0x0001,   0x3000,   0x0000,   0x0000, 
		0x0000,   0xE000,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0400,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0180,   0x0000,   0x0000, 
		0x0000,   0x03C0,   0x0000,   0x0000, 
		0x0000,   0x03C0,   0x0000,   0x0000, 
		0x0000,   0x0180,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x0780,   0x0000,   0x0000, 
		0x0000,   0x0780,   0x0000,   0x0000, 
		0x0000,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0600,   0x0000,   0x0000, 
		0x0000,   0x0F00,   0x0000,   0x0000, 
		0x0000,   0x0F00,   0x0000,   0x0000, 
		0x0000,   0x0600,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0C00,   0x0000,   0x0000, 
		0x0000,   0x1E00,   0x0000,   0x0000, 
		0x0000,   0x1E00,   0x0000,   0x0000, 
		0x0000,   0xCC00,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0001,   0xE000,   0x0000,   0x0000, 
		0x0000,   0xC000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-P w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x1000,   0x0000,   0x0000, 
		0x0000,   0x1000,   0x0000,   0x0000, 
		0x0000,   0x1000,   0x0000,   0x0000, 
		0x0000,   0x08A0,   0x0000,   0x0000, 
		0x0000,   0x07D0,   0x0000,   0x0000, 
		0x0000,   0x0090,   0x0000,   0x0000, 
		0x0000,   0x0130,   0x0000,   0x0000, 
		0x0000,   0x00E0,   0x0000,   0x0000, 
		0x0000,   0x0140,   0x0000,   0x0000, 
		0x0000,   0x03A0,   0x0000,   0x0000, 
		0x0000,   0x0120,   0x0000,   0x0000, 
		0x0000,   0x0260,   0x0000,   0x0000, 
		0x0000,   0x01C0,   0x0000,   0x0000, 
		0x0000,   0x0280,   0x0000,   0x0000, 
		0x0000,   0x0740,   0x0000,   0x0000, 
		0x0000,   0x0240,   0x0000,   0x0000, 
		0x0000,   0x04C0,   0x0000,   0x0000, 
		0x0000,   0x0380,   0x0000,   0x0000, 
		0x0000,   0xA500,   0x0000,   0x0000, 
		0x0001,   0xDE80,   0x0000,   0x0000, 
		0x0000,   0x9480,   0x0000,   0x0000, 
		0x0001,   0x3980,   0x0000,   0x0000, 
		0x0000,   0xE700,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x1000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x00C0,   0x0000,   0x0000, 
		0x0000,   0x01E0,   0x0000,   0x0000, 
		0x0000,   0x01E0,   0x0000,   0x0000, 
		0x0000,   0x00C0,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0180,   0x0000,   0x0000, 
		0x0000,   0x03C0,   0x0000,   0x0000, 
		0x0000,   0x03C0,   0x0000,   0x0000, 
		0x0000,   0x0180,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x0780,   0x0000,   0x0000, 
		0x0000,   0x0780,   0x0000,   0x0000, 
		0x0000,   0x0300,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0xC600,   0x0000,   0x0000, 
		0x0001,   0xEF00,   0x0000,   0x0000, 
		0x0001,   0xEF00,   0x0000,   0x0000, 
		0x0000,   0xC600,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-Q w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x1C28,   0x0000,   0x0000, 
		0x0000,   0x03F4,   0x0000,   0x0000, 
		0x0000,   0x0024,   0x0000,   0x0000, 
		0x0000,   0x004C,   0x0000,   0x0000, 
		0x0000,   0x0038,   0x0000,   0x0000, 
		0x0000,   0x0050,   0x0000,   0x0000, 
		0x0000,   0x00E8,   0x0000,   0x0000, 
		0x0000,   0x0048,   0x0000,   0x0000, 
		0x0000,   0x0098,   0x0000,   0x0000, 
		0x0000,   0x0070,   0x0000,   0x0000, 
		0x0000,   0x00A0,   0x0000,   0x0000, 
		0x0000,   0x01D0,   0x0000,   0x0000, 
		0x0000,   0x0090,   0x0000,   0x0000, 
		0x0000,   0x0130,   0x0000,   0x0000, 
		0x0000,   0xA5E0,   0x0000,   0x0000, 
		0x0001,   0xDE80,   0x0000,   0x0000, 
		0x0000,   0x9480,   0x0000,   0x0000, 
		0x0001,   0x3980,   0x0000,   0x0000, 
		0x0000,   0xE700,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x1030,   0x0000,   0x0000, 
		0x0000,   0x0078,   0x0000,   0x0000, 
		0x0000,   0x0078,   0x0000,   0x0000, 
		0x0000,   0x0030,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0060,   0x0000,   0x0000, 
		0x0000,   0x00F0,   0x0000,   0x0000, 
		0x0000,   0x00F0,   0x0000,   0x0000, 
		0x0000,   0x0060,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x00C0,   0x0000,   0x0000, 
		0x0000,   0x01E0,   0x0000,   0x0000, 
		0x0000,   0x01E0,   0x0000,   0x0000, 
		0x0000,   0x00C0,   0x0000,   0x0000, 
		0x0000,   0xC600,   0x0000,   0x0000, 
		0x0001,   0xEF00,   0x0000,   0x0000, 
		0x0001,   0xEF00,   0x0000,   0x0000, 
		0x0000,   0xC600,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-R w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0014,   0x0000,   0x0000, 
		0x0000,   0x01FA,   0x0000,   0x0000, 
		0x0000,   0x0612,   0x0000,   0x0000, 
		0x0000,   0x0426,   0x0000,   0x0000, 
		0x0000,   0x001C,   0x0000,   0x0000, 
		0x0000,   0x0028,   0x0000,   0x0000, 
		0x0000,   0x0074,   0x0000,   0x0000, 
		0x0000,   0x0024,   0x0000,   0x0000, 
		0x0000,   0x004C,   0x0000,   0x0000, 
		0x0000,   0x0038,   0x0000,   0x0000, 
		0x0000,   0x0050,   0x0000,   0x0000, 
		0x0000,   0x00E8,   0x0000,   0x0000, 
		0x0000,   0x0048,   0x0000,   0x0000, 
		0x0000,   0xA598,   0x0000,   0x0000, 
		0x0001,   0xDEF0,   0x0000,   0x0000, 
		0x0000,   0x9480,   0x0000,   0x0000, 
		0x0001,   0x3980,   0x0000,   0x0000, 
		0x0000,   0xE700,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0018,   0x0000,   0x0000, 
		0x0000,   0x003C,   0x0000,   0x0000, 
		0x0000,   0x003C,   0x0000,   0x0000, 
		0x0000,   0x0418,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0030,   0x0000,   0x0000, 
		0x0000,   0x0078,   0x0000,   0x0000, 
		0x0000,   0x0078,   0x0000,   0x0000, 
		0x0000,   0x0030,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0060,   0x0000,   0x0000, 
		0x0000,   0x00F0,   0x0000,   0x0000, 
		0x0000,   0x00F0,   0x0000,   0x0000, 
		0x0000,   0xC660,   0x0000,   0x0000, 
		0x0001,   0xEF00,   0x0000,   0x0000, 
		0x0001,   0xEF00,   0x0000,   0x0000, 
		0x0000,   0xC600,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-S w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x03EA,   0x0000,   0x0000, 
		0x0000,   0x041D,   0x0000,   0x0000, 
		0x0000,   0x0009,   0x0000,   0x0000, 
		0x0000,   0x0013,   0x0000,   0x0000, 
		0x0000,   0x000E,   0x0000,   0x0000, 
		0x0000,   0x0014,   0x0000,   0x0000, 
		0x0000,   0x003A,   0x0000,   0x0000, 
		0x0000,   0x0012,   0x0000,   0x0000, 
		0x0000,   0x0026,   0x0000,   0x0000, 
		0x0000,   0x001C,   0x0000,   0x0000, 
		0x0000,   0xA528,   0x0000,   0x0000, 
		0x0001,   0xDEF4,   0x0000,   0x0000, 
		0x0000,   0x94A4,   0x0000,   0x0000, 
		0x0001,   0x39CC,   0x0000,   0x0000, 
		0x0000,   0xE738,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x000C,   0x0000,   0x0000, 
		0x0000,   0x041E,   0x0000,   0x0000, 
		0x0000,   0x001E,   0x0000,   0x0000, 
		0x0000,   0x000C,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0018,   0x0000,   0x0000, 
		0x0000,   0x003C,   0x0000,   0x0000, 
		0x0000,   0x003C,   0x0000,   0x0000, 
		0x0000,   0x0018,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0xC630,   0x0000,   0x0000, 
		0x0001,   0xEF78,   0x0000,   0x0000, 
		0x0001,   0xEF78,   0x0000,   0x0000, 
		0x0000,   0xC630,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-T w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0080,   0x0000,   0x0000, 
		0x0000,   0x0040,   0x0000,   0x0000, 
		0x0000,   0x0032,   0x8000,   0x0000, 
		0x0000,   0x000F,   0x4000,   0x0000, 
		0x0000,   0x0002,   0x4000,   0x0000, 
		0x0000,   0x0004,   0xC000,   0x0000, 
		0x0000,   0x0003,   0x8000,   0x0000, 
		0x0000,   0x0005,   0x0000,   0x0000, 
		0x0000,   0x000E,   0x8000,   0x0000, 
		0x0000,   0x0004,   0x8000,   0x0000, 
		0x0000,   0x0009,   0x8000,   0x0000, 
		0x0000,   0xA52F,   0x0000,   0x0000, 
		0x0001,   0xDEF4,   0x0000,   0x0000, 
		0x0000,   0x94A4,   0x0000,   0x0000, 
		0x0001,   0x39CC,   0x0000,   0x0000, 
		0x0000,   0xE738,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0080,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0003,   0x0000,   0x0000, 
		0x0000,   0x0007,   0x8000,   0x0000, 
		0x0000,   0x0007,   0x8000,   0x0000, 
		0x0000,   0x0003,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0006,   0x0000,   0x0000, 
		0x0000,   0x000F,   0x0000,   0x0000, 
		0x0000,   0x000F,   0x0000,   0x0000, 
		0x0000,   0x0006,   0x0000,   0x0000, 
		0x0000,   0xC630,   0x0000,   0x0000, 
		0x0001,   0xEF78,   0x0000,   0x0000, 
		0x0001,   0xEF78,   0x0000,   0x0000, 
		0x0000,   0xC630,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-U w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0010,   0x0000,   0x0000, 
		0x0000,   0x0010,   0x0000,   0x0000, 
		0x0000,   0x0010,   0x0000,   0x0000, 
		0x0000,   0x0008,   0x0000,   0x0000, 
		0x0000,   0x0005,   0x4000,   0x0000, 
		0x0000,   0x0007,   0xA000,   0x0000, 
		0x0000,   0x0001,   0x2000,   0x0000, 
		0x0000,   0x0002,   0x6000,   0x0000, 
		0x0000,   0x0001,   0xC000,   0x0000, 
		0x0000,   0x0002,   0x8000,   0x0000, 
		0x0000,   0x0007,   0x4000,   0x0000, 
		0x0000,   0x0002,   0x4000,   0x0000, 
		0x0000,   0xA52C,   0xC000,   0x0000, 
		0x0001,   0xDEF7,   0x8000,   0x0000, 
		0x0000,   0x94A4,   0x0000,   0x0000, 
		0x0001,   0x39CC,   0x0000,   0x0000, 
		0x0000,   0xE738,   0x0000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0010,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0001,   0x8000,   0x0000, 
		0x0000,   0x0003,   0xC000,   0x0000, 
		0x0000,   0x0003,   0xC000,   0x0000, 
		0x0000,   0x0001,   0x8000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0003,   0x0000,   0x0000, 
		0x0000,   0x0007,   0x8000,   0x0000, 
		0x0000,   0x0007,   0x8000,   0x0000, 
		0x0000,   0xC633,   0x0000,   0x0000, 
		0x0001,   0xEF78,   0x0000,   0x0000, 
		0x0001,   0xEF78,   0x0000,   0x0000, 
		0x0000,   0xC630,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-V w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0008,   0x0000,   0x0000, 
		0x0000,   0x0004,   0x0000,   0x0000, 
		0x0000,   0x0002,   0x0000,   0x0000, 
		0x0000,   0x0001,   0x0000,   0x0000, 
		0x0000,   0x0000,   0xA000,   0x0000, 
		0x0000,   0x0001,   0xD000,   0x0000, 
		0x0000,   0x0000,   0x9000,   0x0000, 
		0x0000,   0x0001,   0x3000,   0x0000, 
		0x0000,   0x0000,   0xE000,   0x0000, 
		0x0000,   0xA529,   0x4000,   0x0000, 
		0x0001,   0xDEF7,   0xA000,   0x0000, 
		0x0000,   0x94A5,   0x2000,   0x0000, 
		0x0001,   0x39CE,   0x6000,   0x0000, 
		0x0000,   0xE739,   0xC000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0008,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0xC000,   0x0000, 
		0x0000,   0x0001,   0xE000,   0x0000, 
		0x0000,   0x0001,   0xE000,   0x0000, 
		0x0000,   0x0000,   0xC000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0xC631,   0x8000,   0x0000, 
		0x0001,   0xEF7B,   0xC000,   0x0000, 
		0x0001,   0xEF7B,   0xC000,   0x0000, 
		0x0000,   0xC631,   0x8000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-W w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0003,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x8000,   0x0000, 
		0x0000,   0x0000,   0x4000,   0x0000, 
		0x0000,   0x0000,   0x2800,   0x0000, 
		0x0000,   0x0000,   0x7400,   0x0000, 
		0x0000,   0x0000,   0x2400,   0x0000, 
		0x0000,   0x0000,   0x4C00,   0x0000, 
		0x0000,   0xA529,   0x7800,   0x0000, 
		0x0001,   0xDEF7,   0xA000,   0x0000, 
		0x0000,   0x94A5,   0x2000,   0x0000, 
		0x0001,   0x39CE,   0x6000,   0x0000, 
		0x0000,   0xE739,   0xC000,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0002,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x3000,   0x0000, 
		0x0000,   0x0000,   0x7800,   0x0000, 
		0x0000,   0x0000,   0x7800,   0x0000, 
		0x0000,   0x0000,   0x3000,   0x0000, 
		0x0000,   0xC631,   0x8000,   0x0000, 
		0x0001,   0xEF7B,   0xC000,   0x0000, 
		0x0001,   0xEF7B,   0xC000,   0x0000, 
		0x0000,   0xC631,   0x8000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		},

	/*----- bitmap Worm-X w = 64, h = 32 ------ */
		{ 
		/*------ plane # 0: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0800,   0x0000, 
		0x0000,   0x0000,   0x0800,   0x0000, 
		0x0000,   0x0000,   0x0400,   0x0000, 
		0x0000,   0x0000,   0x0400,   0x0000, 
		0x0000,   0x0000,   0x0400,   0x0000, 
		0x0000,   0xA529,   0x4A00,   0x0000, 
		0x0001,   0xDEF7,   0xBD00,   0x0000, 
		0x0000,   0x94A5,   0x2900,   0x0000, 
		0x0001,   0x39CE,   0x7300,   0x0000, 
		0x0000,   0xE739,   0xCE00,   0x0000,

		/*------ plane # 1: --------*/
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0800,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000, 
		0x0000,   0xC631,   0x8C00,   0x0000, 
		0x0001,   0xEF7B,   0xDE00,   0x0000, 
		0x0001,   0xEF7B,   0xDE00,   0x0000, 
		0x0000,   0xC631,   0x8C00,   0x0000, 
		0x0000,   0x0000,   0x0000,   0x0000
		}
	};
